# Class QueryBoundWitnessValidator<T>

#### Type Parameters

- #### T extends Query = Query

#### Hierarchy

- BoundWitnessValidator<QueryBoundWitness>
  - QueryBoundWitnessValidator

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:3

#####
Index

### Constructors

constructor

### Properties

_query
obj
payload
schemaNameValidatorFactory

### Accessors

expectedSchema
hash
schemaValidator
stringKeyObj

### Methods

addresses
addressesUniqueness
previousHashes
schema
schemaName
schemas
signatures
validate
validateArrayLengths
validatePayloadHashesLength
validateResultSet
isQueryBoundWitnessValidator
setSchemaNameValidatorFactory
validateSignature

## Constructors

### constructor

- new QueryBoundWitnessValidator<T>(payload): QueryBoundWitnessValidator<T>

- #### Type Parameters

  - #### T extends SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    } = SchemaFields & PayloadFields & QueryFields & {
    schema: string;
    }

  #### Parameters

  - ##### payload: SchemaFields & PayloadFields & BoundWitnessFields & {
    query: string;
    resultSet?: string;
    schema: "network.xyo.boundwitness";
    }

  #### Returns QueryBoundWitnessValidator<T>

  Inherited from BoundWitnessValidator<QueryBoundWitness>.constructor

  - Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:11

## Properties

### `Private` _query

_query: any

- Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:4

### `Readonly` obj

obj: SchemaFields & PayloadFields & BoundWitnessFields & {
query: string;
resultSet?: string;
schema: "network.xyo.boundwitness";
}

Inherited from BoundWitnessValidator.obj

- Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:4

### `Protected` payload

payload: SchemaFields & PayloadFields & {
schema: string;
}

Inherited from BoundWitnessValidator.payload

- Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:9

### `Static` `Protected` schemaNameValidatorFactory

schemaNameValidatorFactory: AllValidatorFactory

Inherited from BoundWitnessValidator.schemaNameValidatorFactory

- Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:8

## Accessors

### `Protected` expectedSchema

- get expectedSchema(): string

- #### Returns string

  Overrides BoundWitnessValidator.expectedSchema

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:5

### hash

- get hash(): string

- #### Returns string

  Inherited from BoundWitnessValidator.hash

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:6

### schemaValidator

- get schemaValidator(): AllValidator

- #### Returns AllValidator

  Inherited from BoundWitnessValidator.schemaValidator

  - Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:12

### `Protected` stringKeyObj

- get stringKeyObj(): StringKeyObject

- #### Returns StringKeyObject

  Inherited from BoundWitnessValidator.stringKeyObj

  - Defined in protocol/packages/core/dist/types/lib/ObjectWrapper.d.ts:6

## Methods

### addresses

- addresses(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.addresses

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:9

### addressesUniqueness

- addressesUniqueness(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.addressesUniqueness

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:10

### previousHashes

- previousHashes(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.previousHashes

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:11

### schema

- schema(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.schema

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:12

### schemaName

- schemaName(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.schemaName

  - Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:14

### schemas

- schemas(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.schemas

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:13

### signatures

- signatures(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.signatures

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:14

### validate

- validate(): Error[]

- #### Returns Error[]

  Overrides BoundWitnessValidator.validate

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:7

### validateArrayLengths

- validateArrayLengths(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.validateArrayLengths

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:16

### validatePayloadHashesLength

- validatePayloadHashesLength(): Error[]

- #### Returns Error[]

  Inherited from BoundWitnessValidator.validatePayloadHashesLength

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:17

### validateResultSet

- validateResultSet(): Error[]

- #### Returns Error[]

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:8

### `Static` isQueryBoundWitnessValidator

- isQueryBoundWitnessValidator(obj): boolean

- #### Parameters

  - ##### obj: unknown

  #### Returns boolean

  - Defined in modules/packages/module/packages/abstract/dist/types/Query/QueryBoundWitnessValidator.d.ts:6

### `Static` setSchemaNameValidatorFactory

- setSchemaNameValidatorFactory(factory): void

- #### Parameters

  - ##### factory: AllValidatorFactory

  #### Returns void

  Inherited from BoundWitnessValidator.setSchemaNameValidatorFactory

  - Defined in protocol/packages/payload/packages/validator/dist/types/Validator.d.ts:13

### `Static` validateSignature

- validateSignature(hash, address, signature?): Error[]

- #### Parameters

  - ##### hash: string

  - ##### address: string

  - ##### `Optional` signature: string

  #### Returns Error[]

  Inherited from BoundWitnessValidator.validateSignature

  - Defined in protocol/packages/boundwitness/packages/validator/dist/types/Validator.d.ts:8

Generated using TypeDoc